Debian Bug report logs - #721843
RFP: ladspa-nova -- A set of high-resolution ladspa filters

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: bart <bart@magnetophon.nl>

Date: Wed, 4 Sep 2013 14:36:09 UTC

Severity: wishlist

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721843; Package wnpp. (Wed, 04 Sep 2013 14:36:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to bart <bart@magnetophon.nl>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Wed, 04 Sep 2013 14:36:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: bart <bart@magnetophon.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: ladspa-nova -- A set of high-resolution ladspa filters.
Date: Wed, 04 Sep 2013 16:26:49 +0200
Package: wnpp
Severity: wishlist

  Package name    : ladspa-nova
  Version         : 0.2-2
  Upstream Author : Tim Blechmann <tim@klingt.org>
  URL             : http://klingt.org/~tim/nova-filters/
  License         : GPLv2+
  Programming Lang: C++
  Description     : A set of high-resolution ladspa filters.

This bug was closed, because it was too old, but I propose to reopen it for the reasons stated below.
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=442366



The nova filters are a complete set of equalizers and filters, originally intended for use in mastering.

The filers are:

Low Shelf Filter
High Shelf Filter
Parametric Equalizer
Low Pass Filter
High Pass Filter

As a bonus there are two stereo imagers.


They have the following awesome features:

- One band per eq. You get to decide what bands you need and where in the chain each band should be. Very usefull!
- Virtually unlimited parameter range: Appart from full range frequency and bandwith, you get to controll how many instances are run in series,
 up to 16, with just one user interface,  giving you virtually unlimited range in eq gain and filter steepness.
- Based on a mitra-regalia filter topology (like the 4-band parametric eq filter plugin by Fons Adriaensen)
- Double-precision internal sample representation, so very high quality
- smooth interpolation in case of parameter changes, so you can automate it without wories of nasty pops and clicks
- ladspa, so no slow loading and wildly varying user interfaces as with lv2
- Very cpu freindly



Changed Bug title to 'RFP: ladspa-nova -- A set of high-resolution ladspa filters' from 'RFP: ladspa-nova -- A set of high-resolution ladspa filters.' Request was from Erik Brangs <erik.brangs@gmx.de> to control@bugs.debian.org. (Sat, 07 Sep 2013 15:24:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721843; Package wnpp. (Mon, 09 Sep 2013 13:00:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felipe Sateler <fsateler@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 09 Sep 2013 13:00:10 GMT) Full text and rfc822 format available.

Message #12 received at 721843@bugs.debian.org (full text, mbox):

From: Felipe Sateler <fsateler@debian.org>
To: Bart Brouns <bart@magnetophon.nl>
Cc: Debian Multimedia Packages Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>, 721843@bugs.debian.org
Subject: Re: FW: RFP: ladspa-nova -- A set of high-resolution ladspa filters
Date: Mon, 9 Sep 2013 09:57:11 -0300
On Sun, Sep 8, 2013 at 4:50 PM, Bart Brouns <bart@magnetophon.nl> wrote:
> Hello debian multimedia team,
>
> Thanks for making debian such a wonderful audio platform.
>
>
> I wanted to draw your attention to my favorite ladspa plugin:
>
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=721843
>
>
> Please consider including it in debian, for the reasons  stated in the
> bugreport. It even already has a debian package made for it by the
> author!

Looks like the last version is from 2008. Does Tim still maintain it?
Or is it finished (as in, nothing is left to be done)?

We would certainly welcome Tim to join us at the team!


-- 

Saludos,
Felipe Sateler



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721843; Package wnpp. (Mon, 09 Sep 2013 16:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bart Brouns <bart@magnetophon.nl>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 09 Sep 2013 16:12:08 GMT) Full text and rfc822 format available.

Message #17 received at 721843@bugs.debian.org (full text, mbox):

From: Bart Brouns <bart@magnetophon.nl>
To: Felipe Sateler <fsateler@debian.org>
Cc: Debian Multimedia Packages Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>, 721843@bugs.debian.org
Subject: Re: FW: RFP: ladspa-nova -- A set of high-resolution ladspa filters
Date: Mon, 09 Sep 2013 18:02:25 +0200
On Mon, 2013-09-09 at 11:43 -0300, Felipe Sateler wrote:
> Hi Bart, any reason you dropped the CC:s? If no reason in particular,
> please CC the list and bug report.
> 
> On Mon, Sep 9, 2013 at 11:09 AM, Bart Brouns <bart@magnetophon.nl> wrote:
> > On Mon, 2013-09-09 at 09:57 -0300, Felipe Sateler wrote:
> >> On Sun, Sep 8, 2013 at 4:50 PM, Bart Brouns <bart@magnetophon.nl> wrote:
> >> > Hello debian multimedia team,
> >> >
> >> > Thanks for making debian such a wonderful audio platform.
> >> >
> >> >
> >> > I wanted to draw your attention to my favorite ladspa plugin:
> >> >
> >> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=721843
> >> >
> >> >
> >> > Please consider including it in debian, for the reasons  stated in the
> >> > bugreport. It even already has a debian package made for it by the
> >> > author!
> >>
> >> Looks like the last version is from 2008. Does Tim still maintain it?
> >> Or is it finished (as in, nothing is left to be done)?
> >>
> >> We would certainly welcome Tim to join us at the team!
> >>
> >>
> >
> >
> > Hello Felipe,
> >
> > I consider it finished. I've been using an older version of it without
> > any problems, almost daily since 2008.
> > The one minor bug it had is fixed in this version too!
> 
> OK then, so it would be good to have in debian.
> 
> > From a practical point of view, this .deb file can be included in debian
> > as is. I'm sure some paperwork will still have to be done, and if
> > someone is willing to mentor me, I could probably do it myself.
> > Do you need to run sid for that? I'm on wheezy.
> 
> I have not reviewed the source package, but it can of course serve as
> the starting point!
> I can provide help, and I'm willing to upload when ready, given this
> is looks like a low-maintenance package (I might take some time to
> answer, though, I'm quite busy these days).
> 
> Have you packaged something before?
> 
> 


Hello Felipe.

OK, Ive included the CC again.
No, I have never packaged something (except for myself, once). I do have
about 10 ears of experience with debian, and a somewhat of a
professional IT background, so with some pointers I should be up and
running in no time.


Best,
Bart.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#721843; Package wnpp. (Mon, 09 Sep 2013 16:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Felipe Sateler <fsateler@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 09 Sep 2013 16:33:09 GMT) Full text and rfc822 format available.

Message #22 received at 721843@bugs.debian.org (full text, mbox):

From: Felipe Sateler <fsateler@debian.org>
To: Bart Brouns <bart@magnetophon.nl>
Cc: Debian Multimedia Packages Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>, 721843@bugs.debian.org
Subject: Re: FW: RFP: ladspa-nova -- A set of high-resolution ladspa filters
Date: Mon, 9 Sep 2013 13:29:43 -0300
On Mon, Sep 9, 2013 at 1:02 PM, Bart Brouns <bart@magnetophon.nl> wrote:
> On Mon, 2013-09-09 at 11:43 -0300, Felipe Sateler wrote:
>> Hi Bart, any reason you dropped the CC:s? If no reason in particular,
>> please CC the list and bug report.
>>
>> On Mon, Sep 9, 2013 at 11:09 AM, Bart Brouns <bart@magnetophon.nl> wrote:
>> > On Mon, 2013-09-09 at 09:57 -0300, Felipe Sateler wrote:
>> >> On Sun, Sep 8, 2013 at 4:50 PM, Bart Brouns <bart@magnetophon.nl> wrote:
>> >> > Hello debian multimedia team,
>> >> >
>> >> > Thanks for making debian such a wonderful audio platform.
>> >> >
>> >> >
>> >> > I wanted to draw your attention to my favorite ladspa plugin:
>> >> >
>> >> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=721843
>> >> >
>> >> >
>> >> > Please consider including it in debian, for the reasons  stated in the
>> >> > bugreport. It even already has a debian package made for it by the
>> >> > author!
>> >>
>> >> Looks like the last version is from 2008. Does Tim still maintain it?
>> >> Or is it finished (as in, nothing is left to be done)?
>> >>
>> >> We would certainly welcome Tim to join us at the team!
>> >>
>> >>
>> >
>> >
>> > Hello Felipe,
>> >
>> > I consider it finished. I've been using an older version of it without
>> > any problems, almost daily since 2008.
>> > The one minor bug it had is fixed in this version too!
>>
>> OK then, so it would be good to have in debian.
>>
>> > From a practical point of view, this .deb file can be included in debian
>> > as is. I'm sure some paperwork will still have to be done, and if
>> > someone is willing to mentor me, I could probably do it myself.
>> > Do you need to run sid for that? I'm on wheezy.
>>
>> I have not reviewed the source package, but it can of course serve as
>> the starting point!
>> I can provide help, and I'm willing to upload when ready, given this
>> is looks like a low-maintenance package (I might take some time to
>> answer, though, I'm quite busy these days).
>>
>> Have you packaged something before?
>>
>>
>
>
> Hello Felipe.
>
> OK, Ive included the CC again.
> No, I have never packaged something (except for myself, once). I do have
> about 10 ears of experience with debian, and a somewhat of a
> professional IT background, so with some pointers I should be up and
> running in no time.

Great, then!

At the project wiki[1] are some guidelines on developing. Please check
them out. Also please review the current packaging and make sure the
copyright file is up to date.
Also please create an alioth account so I can add you to the project.

[1] https://wiki.debian.org/DebianMultimedia/DevelopPackaging



-- 

Saludos,
Felipe Sateler



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:54:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.